#!/usr/bin/python

from mplcore.api import *
from mpl_web import ListNav, Search
from cgi import parse_qs
import urllib

def handler(req, xml, conf):
	if (req.args == None):
		cgi = None
	else:
		cgi = parse_qs(req.args, keep_blank_values = True, strict_parsing = True)
	ln = ListNav(cgi)
	sr = Search(cgi)
	#xml.data("<mpl:search action='search.py'>фильм</mpl:search>\n")
	xml.data("<ssx:title>MPL: Товары</ssx:title>\n")

	mpl = MPL(conf = conf)

	url = 'index.py?'
	if sr.vendor != None:
		url = url + 'vendor=%d&amp;' % sr.vendor
	if len(sr.pretty_search) > 0:
		url = url + 'search=%s&amp;' % urllib.quote(sr.pretty_search)
	if sr.order:
		url = url + 'order=%s&amp;' % sr.order
	if sr.price_low != None:
		url = url + 'price-low=%f&amp;' % sr.price_low
	if sr.price_high != None:
		url = url + 'price-high=%f&amp;' % sr.price_high
	
	xml.data("<mpl:search action='index.py' vendor='%s' order='%s'>%s</mpl:search>" % (sr.vendor, "id", sr.pretty_search))
	xml.data("<mpl:listnav url='%s' start='%d' end='%d' step='%d'/>" % (url, ln.start, ln.end, ln.step))
	xml.push("mpl:goods")
	xml.data("\n".join(map (lambda x: x.xml(), mpl.good(id = sr.id, name = sr.search, vendor = sr.vendor, order = sr.order, lstart = ln.start, lstop = ln.end, price_low = sr.price_low, price_high = sr.price_high))))
	xml.pop("mpl:goods")
	xml.data("<mpl:listnav url='%s' start='%d' end='%d' step='%d'/>" % (url, ln.start, ln.end, ln.step))
	xml.data("<mpl:search action='index.py' order='%s'>%s</mpl:search>" % ("id", sr.pretty_search))
